# Class TickInfo

java.lang.Object
org.jmol.modelset.TickInfo

public class TickInfo extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`float`
`first`
`String`
`id`
`P3`
`reference`
`P3`
`scale`
`float`
`signFactor`
`String[]`
`tickLabelFormats`
`P3`
`ticks`
`char`
`type`

## Constructor Summary

Constructors
Constructor
Description
`TickInfo(P3 ticks)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

public String id

### type

public char type

### ticks

public P3 ticks

### tickLabelFormats

public String[] tickLabelFormats

### scale

public P3 scale

### first

public float first

### signFactor

public float signFactor

### reference

public P3 reference

## Constructor Details

### TickInfo

public TickInfo(P3 ticks)